curl -X PUT \
'https://api.appcharge.com/components/v1/offer-design/rolling-offer-design' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'x-publisher-token: <x-publisher-token>' \
--data '{
"offerUiType": "RollingOffer",
"name": "Rolling Offer Design Updated",
"externalId": "rolling-offer-design",
"backgroundImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background-v2.png",
"backgroundColor": "#272727",
"backgroundOpacity": 80,
"headerImage": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/header.png",
"arrowColor": "#ffffff",
"borderColor": {
"colorOne": "#ffffff",
"colorTwo": "#ffffff",
"gradientDirection": "to right"
},
"borderWidth": 2,
"subRollingOffer": {
"backgroundImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background.png",
"collectText": "FREE"
}
}'
{
"id": "694a7c8e87f78fb36a931763",
"offerUiType": "RollingOffer",
"name": "Rolling Offer Design Updated",
"externalId": "rolling-offer-design",
"backgroundImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background-v2.png",
"backgroundColor": "#272727",
"backgroundOpacity": 80,
"headerImage": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/header.png",
"arrowColor": "#ffffff",
"borderColor": {
"colorOne": "#ffffff",
"colorTwo": "#ffffff",
"direction": "to right"
},
"borderWidth": 2,
"subRollingOffer": {
"backgroundImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background.png",
"collectText": "FREE"
}
}
Update Rolling Offer Design
Updates a rolling offer design.
curl -X PUT \
'https://api.appcharge.com/components/v1/offer-design/rolling-offer-design' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'x-publisher-token: <x-publisher-token>' \
--data '{
"offerUiType": "RollingOffer",
"name": "Rolling Offer Design Updated",
"externalId": "rolling-offer-design",
"backgroundImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background-v2.png",
"backgroundColor": "#272727",
"backgroundOpacity": 80,
"headerImage": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/header.png",
"arrowColor": "#ffffff",
"borderColor": {
"colorOne": "#ffffff",
"colorTwo": "#ffffff",
"gradientDirection": "to right"
},
"borderWidth": 2,
"subRollingOffer": {
"backgroundImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background.png",
"collectText": "FREE"
}
}'
{
"id": "694a7c8e87f78fb36a931763",
"offerUiType": "RollingOffer",
"name": "Rolling Offer Design Updated",
"externalId": "rolling-offer-design",
"backgroundImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background-v2.png",
"backgroundColor": "#272727",
"backgroundOpacity": 80,
"headerImage": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/header.png",
"arrowColor": "#ffffff",
"borderColor": {
"colorOne": "#ffffff",
"colorTwo": "#ffffff",
"direction": "to right"
},
"borderWidth": 2,
"subRollingOffer": {
"backgroundImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background.png",
"collectText": "FREE"
}
}
curl -X PUT \
'https://api.appcharge.com/components/v1/offer-design/rolling-offer-design' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'x-publisher-token: <x-publisher-token>' \
--data '{
"offerUiType": "RollingOffer",
"name": "Rolling Offer Design Updated",
"externalId": "rolling-offer-design",
"backgroundImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background-v2.png",
"backgroundColor": "#272727",
"backgroundOpacity": 80,
"headerImage": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/header.png",
"arrowColor": "#ffffff",
"borderColor": {
"colorOne": "#ffffff",
"colorTwo": "#ffffff",
"gradientDirection": "to right"
},
"borderWidth": 2,
"subRollingOffer": {
"backgroundImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background.png",
"collectText": "FREE"
}
}'
{
"id": "694a7c8e87f78fb36a931763",
"offerUiType": "RollingOffer",
"name": "Rolling Offer Design Updated",
"externalId": "rolling-offer-design",
"backgroundImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background-v2.png",
"backgroundColor": "#272727",
"backgroundOpacity": 80,
"headerImage": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/header.png",
"arrowColor": "#ffffff",
"borderColor": {
"colorOne": "#ffffff",
"colorTwo": "#ffffff",
"direction": "to right"
},
"borderWidth": 2,
"subRollingOffer": {
"backgroundImageUrl": "https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background.png",
"collectText": "FREE"
}
}
Headers
Publisher token, as displayed in the Publisher Dashboard.
Path Parameters
Design ID that you defined.
Body
Update a rolling offer design.
Type of offer design.
RollingOffer "RollingOffer"
Offer design name.
"Rolling Offer Design Updated"
Design ID that you define.
"rolling-offer-design"
Background image URL for the offer design.
"https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background-v2.png"
Background color of the rolling offer.
"#272727"
Background opacity value.
80
Header image URL for the rolling offer.
"https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/header.png"
Color of the arrow in the rolling offer.
"#ffffff"
Border color configuration with gradient support.
Show child attributes
Show child attributes
Width of the border in pixels.
2
Information about the sub rolling offer configuration.
Show child attributes
Show child attributes
Response
Offer design updated successfully.
Design ID
"694a7c8e87f78fb36a931763"
Type of offer design.
RollingOffer "RollingOffer"
Offer design name.
"Rolling Offer Design"
Design ID that you defined.
"rolling-offer-design"
Background image URL for the offer design.
"https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/background.png"
Background color of the rolling offer.
"#272727"
Background opacity value.
80
Header image URL for the rolling offer.
"https://media.appcharge.com/media/65cb7861ec8924a6b69a0f59/header.png"
Color of the arrow in the rolling offer.
"#ffffff"
Color details returned by offer designs.
Show child attributes
Show child attributes
Width of the border in pixels.
2
Information about the sub rolling offer configuration.
Show child attributes
Show child attributes
Original background image URL for rolling offer backgrounds when an external image URL is used.
"https://cdn.example.com/assets/background.png"
Was this page helpful?
